import { useState, useEffect } from 'react';
import { csv } from 'd3'

const csvUrl = 'https://gist.githubusercontent.com/curran/13d30e855d48cdd6f22acdf0afe27286/raw/0635f14817ec634833bb904a47594cc2f5f9dbf8/worldcities_clean.csv';

const geoJsonUrl = ' https://github.com/wmgeolab/geoBoundaries/raw/905b0ba/releaseData/gbOpen/PAK/ADM1/geoBoundaries-PAK-ADM1_simplified.geojson'; // Replace 'Your_GeoJSON_URL_here' with your actual URL

fetch(geoJsonUrl)
  .then((response) => response.json())
  .then((geojsonData) => {
    // Do something with the loaded GeoJSON data here
    console.log(geojsonData); // For example, you can log it to the console
  })
  .catch((error) => {
    console.error('Error fetching GeoJSON data:', error);
  });
csvUrl = geoJsonUrl;

const row = d => {
  d.lng = +d.lng;
  d.lat = +d.lat;
  d.population = +d.population;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
